%define name bforce
%define ver  0.22.8
%define rel  alt6
%define origver 0.22.8.kst8

Summary: BinkleyForce FTN mailer
Name: %name
Version: %ver
Release: %rel
Group: System/Servers
License: GPL
Packager: FTN Development Team <ftn@packages.altlinux.org>

AutoReq: yes, noperl, nopam, noshell

PreReq: ftn
PreReq: /var/lock/serial

Source: %name-%origver.tar.bz2
Source1: %name.init
Source2: %name.ifc
Source3: %name.binkp
Source4: %name.logrotate

Patch: %name-config.patch
Patch1: %name-path-correction.patch
Patch2: %name-0.22.8-case.patch
Patch3: %name-0.22.8.kst8-sess_call.patch
Patch4: %name-0.22.8.kst.8-alt-build-fix.patch 

%description
BinkleyForce is a simple ifcico like FTN mailer. It can works via
TCP/IP as well as on modem links. Look sample configs for more
information.

%package xinetd
Summary: xinetd service %name for incoming ftn-over-ip and BinkP sessions
Group: System/Servers
Requires: %name = %version-%release
PreReq: xinetd

%description xinetd
BinkleyForce is a simple ifcico like FTN mailer. It can works via
TCP/IP as well as on modem links. Look sample configs for more
information.

This package contains xinetd service %name for incoming ftn-over-ip
and BinkP sessions

%prep
%setup -q -n %name-%origver
%patch -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

find . -type d -a -name CVS -print0 | xargs -0 rm -rf

%build
pushd source
%__mkdir_p bin
%configure --with-uucp-lockdir=/var/lock/serial
%make_build CONFDIR=%_sysconfdir/ftn \
            BINDIR=%_bindir \
	    LOGDIR=%_logdir/ftn \
	    SPOOLDIR=%_spooldir/ftn
popd

%install
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/{ftn,xinetd.d}
%__mkdir_p %buildroot/%_sysconfdir/logrotate.d

%__install %SOURCE4  %buildroot%_sysconfdir/logrotate.d/%name

# Binaries
%__install source/bin/bforce  %buildroot%_sbindir/bforce
%__install source/bin/bfindex %buildroot%_sbindir/bfindex
%__install source/bin/bfstat  %buildroot%_bindir/bfstat
%__install source/bin/nlookup %buildroot%_bindir/nlookup

# Daemon initscript
%__install %SOURCE1 %buildroot%_initdir/%name
%__install %SOURCE2 %buildroot%_sysconfdir/xinetd.d/%name-ifc
%__install %SOURCE3 %buildroot%_sysconfdir/xinetd.d/%name-binkp

# Sample configs
%__install examples/bforce.conf   %buildroot%_sysconfdir/ftn/bforce.conf
%__install examples/bforce.subst  %buildroot%_sysconfdir/ftn/bforce.subst
%__install examples/bforce.passwd %buildroot%_sysconfdir/ftn/bforce.passwd
%__install examples/freq.aliases  %buildroot%_sysconfdir/ftn/freq.aliases
%__install examples/freq.dirs     %buildroot%_sysconfdir/ftn/freq.dirs

%post 
%post_service %name
 
%preun 
%preun_service %name

%post xinetd
for i in bf-log bf-daemon bf-log.ttyS0 bf-log.ttyS1; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
      :>> "%_logdir/ftn/$i"
      %__chown ftn:ftn "%_logdir/ftn/$i"
      %__chmod 640 "%_logdir/ftn/$i"
  fi
done ||:

%files
%doc CHANGES contrib COPYING README examples
%config %_initdir/%name
%defattr(640,ftn,ftn)
%config(noreplace) %_sysconfdir/ftn/bforce.conf
%config(noreplace) %attr(600,ftn,ftn) %_sysconfdir/ftn/bforce.passwd
%config(noreplace) %_sysconfdir/ftn/bforce.subst
%config(noreplace) %_sysconfdir/ftn/freq.*
%config(noreplace) %attr(644,root,root) %_sysconfdir/logrotate.d/%name

%defattr(750,ftn,ftn)
%_bindir/bfstat
%_bindir/nlookup
%_sbindir/bforce
%_sbindir/bfindex

%files xinetd
%config(noreplace) %_sysconfdir/xinetd.d/%name-ifc
%config(noreplace) %_sysconfdir/xinetd.d/%name-binkp

%changelog
* Tue Mar 01 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt6
- Removed ugenk4 patchset (buggy-buggy)
- Updated to kst8 patchset

* Mon Feb 21 2005 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt5
- Updated to 0.22.8-ugenk4 patchset

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt4
- Added Packager Tag 

* Sun Feb 02 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt3
- Build for ALTLinux Master 2.2 distribution
- added logrotate configuration file for bforce
- removed xinetd restart after install/uninstall

* Wed Nov 13 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt2
- Added log file creating after install

* Mon Aug 19 2002 Albert R. Valiev <darkstar@altlinux.ru> 0.22.8-alt1
- Build new version

* Wed Jul 03 2002 Sir Raorn <raorn@altlinux.ru> 0.22.7.kst4-alt2
- Specfile rewritten (heresy in build, install, files and scripts)
- Startup script
- xinetd services

* Sat Jun 15 2002 Albert R. Valiev <darkstar@kde.ru> 0.22.7.kst4-alt1
- First RPM build for ALTLinux Sisyphus
